@font-face {
  font-family: "Mint Dayz Regular";
  font-style: normal;
  font-weight: normal;
  src: local("Mint Dayz Regular"), url("../fonts/MintDayz-z8600.woff") format("woff");
}
@font-face {
  font-family: "Reikna Regular";
  src: url("../fonts/reikna-webfont.woff2") format("woff2"), url("../fonts/reikna-webfont.woff") format("woff");
  font-weight: normal;
  font-style: normal;
}
html {
  scroll-behavior: smooth;
}

.circle-animation {
  will-change: transform;
}

.title, h3, h1,
h2 {
  color: #735088;
  margin: 0 0 0.1em 0;
  line-height: 0.8;
}

h1,
h2 {
  font-family: "Mint Dayz Regular";
  font-size: 150px;
}

h3 {
  font-family: "Reikna Regular";
  font-size: 80px;
}

.slide.right {
  transform: translate(300px, -300px);
  transition: transform ease-out 0.8s;
}
.slide.right.bottom {
  transform: translate(300px, 300px);
}
.slide.right.slide-in {
  transform: translate(0, 0);
}
.slide.left {
  transform: translate(-300px, 300px);
  transition: transform ease-out 0.8s;
}
.slide.left.slide-in {
  transform: translate(0, 0);
}
.slide.bottom::before {
  transform: translateY(300px);
  transition: transform ease-out 0.8s;
}
.slide.bottom.slide-in::before {
  transform: translateY(0);
}
.slide.top {
  transform: translateY(-300px);
  transition: transform ease-out 0.8s;
}
.slide.top.slide-in {
  transform: translateY(0);
}
.slide.slow {
  transition-duration: 1s;
}

body {
  background-color: #ebe5ff;
  font-family: "Mooli", sans-serif;
  font-size: 22px;
}

.btn {
  display: flex;
  width: -moz-max-content;
  width: max-content;
  font-family: "Reikna Regular";
  font-size: 32px;
  text-decoration: none;
  padding: 10px 50px;
  border-radius: 15px;
  transition: background-color ease-in-out 0.4s;
}
.btn.btn-primary {
  position: relative;
  color: #ffffff;
  background: linear-gradient(-90deg, #A8BBFE 0%, #DA99F8 100%);
  box-shadow: 3px 4px 10px 0 rgba(218, 153, 248, 0.25);
  overflow: hidden;
  z-index: 0;
}
.btn.btn-primary::before {
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(90deg, #9db2ff 0%, #da8cfe 100%);
  opacity: 0;
  z-index: -1;
  transition: opacity 0.2s ease-in-out;
}
.btn.btn-primary:hover::before {
  opacity: 1;
}

header {
  position: fixed;
  top: 30px;
  right: 0;
  display: flex;
  justify-content: flex-end;
  width: -moz-max-content;
  width: max-content;
  min-width: 700px;
  border-radius: 100px 0 0 100px;
  padding: 18px 50px;
  background-color: #ffffff;
  box-shadow: 3px 4px 10px 0 rgba(218, 153, 248, 0.25);
  transform: translateX(300px);
  transition: transform ease-in-out 0.6s;
  z-index: 999;
}
header.slide-in {
  transform: translateX(0);
}
header nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  font-family: "Reikna Regular";
}
header nav.end {
  justify-content: flex-end;
}
header nav .menu-back {
  display: flex;
}
header .menu {
  display: flex;
  flex-direction: row;
  gap: 15px;
  list-style: none;
  margin: 0;
  padding: 0;
}
header .menu .menu-item {
  position: relative;
  display: flex;
  padding: 8px 12px;
  font-size: 48px;
  line-height: 0.67;
}
header .menu .menu-item::after {
  content: "";
  position: absolute;
  left: 12px;
  bottom: 0;
  background: linear-gradient(-90deg, #A8BBFE 0%, #DA99F8 100%);
  height: 4px;
  border-radius: 100px;
  width: 0%;
  transition: width 0.4s ease-in-out;
}
header .menu .menu-item:hover::after {
  width: calc(100% - 24px);
}
header .menu .menu-item a {
  text-decoration: none;
  background: linear-gradient(90deg, #D999F8 0%, #A8BBFE 100%);
  -webkit-background-clip: text;
          background-clip: text;
  -webkit-text-fill-color: transparent;
}
header .menu .menu-star {
  -o-object-fit: contain;
     object-fit: contain;
}

.container {
  max-width: 1300px;
  width: 100%;
  padding: 0 15px;
  margin: auto;
}

.portfolio {
  padding-top: 380px;
}
.portfolio .blob {
  position: absolute;
  top: 0;
  right: 0;
  z-index: -1;
}
.portfolio__text {
  max-width: 630px;
}

.illustration-container {
  position: absolute;
  top: 50px;
  right: 50px;
  display: flex;
  width: -moz-max-content;
  width: max-content;
  padding: 100px;
  z-index: -1;
}
.illustration-container .floating {
  position: absolute;
}
.illustration-container .phone {
  top: 10%;
  left: 0;
}
.illustration-container .bow {
  bottom: 0;
  right: 40%;
}
.illustration-container .berry {
  bottom: 10%;
  right: 0;
}
.illustration-container .stars {
  top: 10%;
  right: 20px;
  height: 110%;
  z-index: -1;
}

.my-work {
  padding: 90px 0;
  position: relative;
}
.my-work__content {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
}
.my-work__text {
  max-width: 630px;
}
.my-work .blob {
  position: absolute;
  left: 0;
  top: -150px;
  z-index: -1;
}
.my-work .illustration-container-2 {
  position: absolute;
  top: 10px;
  left: -70px;
  display: flex;
  width: -moz-max-content;
  width: max-content;
  padding: 100px;
  z-index: -1;
}
.my-work .illustration-container-2 .floating {
  position: absolute;
}
.my-work .illustration-container-2 .cat {
  top: 60px;
}
.my-work .illustration-container-2 .cake {
  right: 100px;
  bottom: 180px;
}
.my-work .illustration-container-2 .stars {
  top: 10%;
  left: 20px;
  height: 110%;
  z-index: 0;
}
.my-work .btn-container {
  display: flex;
  justify-content: center;
  width: 100%;
  margin-top: 40px;
}
.my-work__slider {
  width: 100%;
  margin-top: 150px;
}
.my-work__slide {
  border-radius: 15px;
  overflow: hidden;
}
.my-work__slide img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}
.my-work .glide {
  height: 320px;
}
@media only screen and (min-width: 700px) and (max-width: 1450px) {
  .my-work .glide {
    padding: 0 3em;
  }
}
.my-work .glide__track, .my-work .glide__slides {
  height: 100%;
}
.my-work .glide__slide {
  height: auto;
}
.my-work .glide__arrow {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #ffffff;
  border-radius: 100%;
  height: 45px;
  width: 45px;
  padding: 0;
}
.my-work .glide__arrow--left {
  left: -3em;
}
@media only screen and (max-width: 1450px) {
  .my-work .glide__arrow--left {
    left: 0;
  }
}
.my-work .glide__arrow--left img {
  transform: translateX(-2px);
}
.my-work .glide__arrow--right {
  right: -3em;
}
@media only screen and (max-width: 1450px) {
  .my-work .glide__arrow--right {
    right: 0;
  }
}
.my-work .glide__arrow--right img {
  transform: translateX(2px);
}
.my-work .glide__arrow img {
  height: 25px;
}

.contact-section {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 150px 0 180px 0;
}
.contact-section p {
  margin: 0;
}
.contact-section .social-icons {
  display: flex;
  justify-content: center;
  gap: 70px;
  padding-top: 50px;
}

.contact-form-section {
  position: relative;
  padding: 130px 0 100px 0;
}
.contact-form-section::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-image: url("../images/blob-3.svg");
  background-size: cover;
  background-position: center top;
  z-index: -1;
}
.contact-form-section .contact-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 15px;
  padding-top: 50px;
}
.contact-form-section .contact-form {
  display: flex;
  flex-direction: column;
  gap: 15px;
  width: 100%;
  max-width: 550px;
}
.contact-form-section .contact-form input,
.contact-form-section .contact-form textarea {
  background-color: #ffffff;
  border-radius: 15px;
  padding: 16px 15px;
  border: none;
  font-family: "Mooli", sans-serif;
  color: #735088;
}
.contact-form-section .contact-form input::-moz-placeholder, .contact-form-section .contact-form textarea::-moz-placeholder {
  color: #adadad;
}
.contact-form-section .contact-form input::placeholder,
.contact-form-section .contact-form textarea::placeholder {
  color: #adadad;
}
.contact-form-section .contact-form textarea {
  height: 250px;
  resize: none;
}
.contact-form-section .contact-form input[type=submit] {
  background-color: #735088;
  color: #ffffff;
  font-family: "Reikna Regular";
  font-size: 32px;
  padding: 10px 32px;
  box-shadow: 3px 4px 10px 0 rgba(0, 0, 0, 0.25);
  cursor: pointer;
  transition: background-color 0.2s ease-in-out;
}
.contact-form-section .contact-form input[type=submit]:hover {
  background-color: #6b4283;
}

.about-me {
  position: relative;
  padding-top: 200px;
  height: 100vh;
}
.about-me .illustrations {
  display: flex;
  width: auto;
  position: absolute;
  right: 20px;
  bottom: 0;
  z-index: -1;
}
.about-me .illustrations .blob {
  margin-right: -20px;
}
.about-me .illustrations .portrait {
  display: flex;
  width: auto;
  position: absolute;
  right: 55px;
  top: 20px;
  transform-origin: 50% 25%;
}
.about-me .illustrations .portrait .stars-hearts {
  position: absolute;
  left: -195px;
  top: -50px;
}
.about-me .illustrations .portrait .me-image {
  animation: wiggle-gentle 5s alternate infinite ease-in-out;
  transform-origin: 50% 25%;
}
.about-me .illustrations__bottom {
  display: flex;
  align-items: flex-end;
  width: auto;
  position: absolute;
  right: 0;
  bottom: 10px;
}
.about-me .illustrations__bottom .dog-illustration .head {
  animation: wiggle-major 5s alternate infinite ease-in-out;
  transform-origin: 50% 25%;
}
.about-me__content {
  max-width: 910px;
}
.about-me__content p {
  max-width: 630px;
}
.about-me__content .btn {
  margin-top: 30px;
}

.gallery__items {
  margin-bottom: 80px;
}
.gallery__content {
  padding-top: 300px;
}
.gallery__content__searchbox {
  display: flex;
  padding: 0;
  margin: 0;
  background-color: #ffffff;
  border: none;
  border-radius: 100px;
  overflow: hidden;
}
.gallery__content__searchbox label {
  display: flex;
  height: auto;
  padding: 10px 10px 10px 15px;
}
.gallery__content__searchbox label svg {
  max-height: 30px;
}
.gallery__content__searchbox input {
  display: flex;
  width: 100%;
  border: none;
  border-radius: 0 100px 100px 0;
  color: #735088;
}
.gallery__content__searchbox input::-moz-placeholder {
  color: #DADADA;
}
.gallery__content__searchbox input::placeholder {
  color: #DADADA;
}
.gallery__content__sortbox {
  display: flex;
  gap: 5px;
  width: -moz-max-content;
  width: max-content;
  padding: 8px 18px;
  margin: 15px 0;
  background-color: #c7caff;
  color: #6C71C8;
  border: none;
  border-radius: 100px;
  overflow: hidden;
}
.gallery__content__sortbox select {
  background: none;
  border: none;
  color: #6C71C8;
}
.gallery .blob {
  position: absolute;
  width: 100%;
  z-index: -1;
}
.gallery__categories {
  display: flex;
  gap: 60px;
  margin-bottom: 25px;
}
.gallery__categories__single {
  position: relative;
  border: none;
  background: none;
  color: #B5A4C0;
  font-size: 28px;
  padding: 5px 8px;
  cursor: pointer;
  transition: color ease-in-out 0.2s;
}
.gallery__categories__single:hover {
  color: #735088;
}
.gallery__categories__single::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 0%;
  height: 3px;
  background-color: #735088;
  border-radius: 10px;
  transition: width ease-in-out 0.4s;
}
.gallery__categories__single.active {
  color: #735088;
}
.gallery__categories__single.active::after {
  width: 100%;
}
.gallery__grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 30px;
  padding: 30px;
  background: linear-gradient(-90deg, #A8BBFE 0%, #DA99F8 100%);
  border-radius: 30px;
  min-height: 400px;
}
.gallery__grid .no-projects {
  grid-column: 1/span 3;
  text-align: center;
  font-size: 50px;
}
.gallery__grid__card {
  display: flex;
  flex-direction: column;
  position: relative;
  padding: 10px;
  background-color: #ebe5ff;
  border-radius: 30px;
}
.gallery__grid__card__image {
  width: 100%;
  aspect-ratio: 4/3;
  -o-object-fit: cover;
     object-fit: cover;
  -o-object-position: center center;
     object-position: center center;
  border-radius: 30px;
}
.gallery__grid__card__content {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
  padding: 0 70px 5px 10px;
}
.gallery__grid__card__title {
  margin-top: 10px;
  line-height: 0.8;
  font-size: 60px;
}
.gallery__grid__card__button {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  bottom: 10px;
  right: 10px;
  padding: 6px;
  background-color: #f159fd;
  border-radius: 100px;
  transition: background-color ease-in-out 0.2s;
}
.gallery__grid__card__button svg {
  width: 100%;
  height: 100%;
}
.gallery__grid__card__button:hover {
  background-color: #f23cff;
}

@keyframes wiggle-gentle {
  from {
    transform: rotate(-4deg);
  }
  to {
    transform: rotate(4deg);
  }
}
@keyframes wiggle-major {
  from {
    transform: rotate(15deg);
  }
  to {
    transform: rotate(-15deg);
  }
}